"use strict";
const common_vendor = require("../../common/vendor.js");
const api_request = require("../../api/request.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  __name: "home",
  setup(__props) {
    const items = common_vendor.ref([null, null, null]);
    const items_1 = common_vendor.ref([null, null, null]);
    common_vendor.onShow(() => {
      common_vendor.index.removeStorageSync("businessId");
      getMyUser();
    });
    const getMyUser = async () => {
      const res = await common_vendor.index.request({
        url: api_request.baseUrl + "/user/get/login",
        method: "GET",
        header: {
          // 读取JSESSIONID
          "cookie": common_vendor.wx$1.getStorageSync("cookie")
        }
      });
      if (res.data.code === 40100) {
        common_vendor.index.navigateTo({
          url: "/pages/login/login"
        });
        common_vendor.index.showToast({
          icon: "loading",
          title: "请登录"
        });
      }
    };
    const jump_product = () => {
      common_vendor.index.navigateTo({
        url: "../../pages/store-home/ProductDetails/ProductDetails"
      });
    };
    const jump_xiezhen = () => {
      common_vendor.index.navigateTo({
        url: "../../pages/booking/respectable/respectable"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(items.value, (item, index, i0) => {
          return {
            a: index
          };
        }),
        b: common_vendor.unref(common_assets.shizi),
        c: common_vendor.unref(common_assets.rili),
        d: common_vendor.o(jump_xiezhen),
        e: common_vendor.unref(common_assets.you),
        f: common_vendor.unref(common_assets.product),
        g: common_vendor.o(jump_product),
        h: common_vendor.unref(common_assets.product),
        i: common_vendor.unref(common_assets.product),
        j: common_vendor.unref(common_assets.you),
        k: common_vendor.unref(common_assets.product),
        l: common_vendor.unref(common_assets.product),
        m: common_vendor.unref(common_assets.product),
        n: common_vendor.unref(common_assets.you),
        o: common_vendor.f(items_1.value, (item, index, i0) => {
          return {
            a: index
          };
        }),
        p: common_vendor.unref(common_assets.xuanchuan)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-07e72d3c"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/home/home.vue"]]);
wx.createPage(MiniProgramPage);
